% TransmonHartmann
%
% calculates the beam for the hartmann reference

%% Parameters
% Our seedwaist comes from the arm cavity 
f_primary = 2.00;
f_secondary = 0.125;
z_tel = 2.1276;
z_etm = -1;        %a reasonable number for the ETM to telescope spacing
AR_aoi = 0.1 * pi/180;    % angle of incidence in radians

goo = beamPath;
goo.seedWaist(1, z_etm);
goo.addComponent(component.lens(f_primary, 0));
goo.addComponent(component.lens(f_secondary, z_tel));

TFmatrix  = goo.getTransferMatrix(z_etm, z_tel+1e-6);

out_vector = TFmatrix*[0; 2*AR_aoi]



